ACPI_MATCH_DEVICE(9)

NAME
acpi_match_device - Match a struct device against a given list of ACPI IDs

SYNOPSIS

const struct acpi_device_id * acpi_match_device(const struct acpi_device_id * ids, const struct device * dev);

ARGUMENTS

ids
    Array of struct acpi_device_id object to match against.

dev
    The device structure to match.

DESCRIPTION

Check if dev has a valid ACPI handle and if there is a struct acpi_device object for that handle and use that object to match against a given list of device IDs.

Return a pointer to the first matching ID on success or NULL on failure.

COPYRIGHT